%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:       mate-common
Summary:    MATE common build files
Version:    1.28.0
Release:    %mkrel 2
License:    GPLv3+
Group:      Development/Other
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:  noarch
Requires:   automake
Requires:   autoconf
Requires:   autoconf-archive
Requires:   m4
Requires:   intltool
Requires:   gettext-devel
Requires:   gtk-doc

%description
Binaries for building all MATE desktop subcomponents.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/mate-autogen
%{_bindir}/mate-doc-common
%{_datadir}/aclocal/*.m4
%{_datadir}/mate-common
%{_mandir}/man1/mate-autogen.1*
%{_mandir}/man1/mate-doc-common.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.28.0-2.mga10
+ Revision: 2221657
- Mageia 10 Mass Rebuild

* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051707
- new version 1.28.0

* Mon Mar 21 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1814845
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740008
- new version 1.26.0

* Mon Aug 24 2020 kekepower <kekepower> 1.24.2-1.mga8
+ Revision: 1618695
- Update to version 1.24.2

* Mon Aug 03 2020 wally <wally> 1.24.1-3.mga8
+ Revision: 1610810
- require autoconf-archive

* Sat Apr 04 2020 kekepower <kekepower> 1.24.1-2.mga8
+ Revision: 1564315
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547891
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488587
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465674
- Update to verison 1.22.2

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375476
- Update to version 1.22.0

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1279490
- Mageia 7 Mass Rebuild

* Wed Feb 14 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201174
- Updated to 1.20.0 version

* Fri Oct 27 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174295
- Updated to 1.19.0 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092525
- Update to 1.18.0 version

* Tue Dec 20 2016 tarakbumba <tarakbumba> 1.17.0-1.mga6
+ Revision: 1076231
- Update to 1.17.0 version
+ wally <wally>
- new version 1.16.0

* Wed Apr 13 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001147
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942211
- Update to 1.13.0 version

* Sat Nov 07 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898385
- Update to 1.12.0 version

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 836937
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 738955
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682186
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600062
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598043
- Update to 1.7.x version

* Mon Oct 21 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 538540
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 489707
- Updated to latest stable version

* Fri Aug 09 2013 diogenese <diogenese> 1.6.1-2.mga4
+ Revision: 465040
- added automake 1.14 support

* Thu Jun 13 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 442912
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.4.0-4.mga3
+ Revision: 359433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 fwang <fwang> 1.4.0-3.mga3
+ Revision: 285367
- add req on gettext-devel for downstream packages

* Wed Aug 29 2012 fwang <fwang> 1.4.0-2.mga3
+ Revision: 285260
- requires gtk-doc for downstream packages

* Wed Aug 29 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 285052
- imported package mate-common

